package svlight;

import java.awt.*;
import java.awt.event.*;
import svlight.ui.BorderPanel;

public class SimpleDisplay extends Frame implements ActionListener {
  SVClient parent;

  public SimpleDisplay(SVClient parent) {
     super("Disconnect");
     
     this.parent = parent;
     setLayout(new BorderLayout());
     BorderPanel bp = new BorderPanel();
     bp.setLayout(new BorderLayout());
     bp.add("Center", new Label("Disconnect?"));
     
     Panel p = new Panel();
     
     p.setLayout(new FlowLayout(FlowLayout.RIGHT));
     Button b;
     p.add(b = new Button("Yes"));
     b.addActionListener(this);
     p.add(b = new Button("No"));
     b.addActionListener(this);

     add("Center", bp);
     add("South", p);
  }

  public SimpleDisplay() {
     super("Connection");
     
     setLayout(new BorderLayout());
     BorderPanel bp = new BorderPanel();
     bp.setLayout(new BorderLayout());
     bp.add("Center", new Label("There is no other client in this server."));

     Panel p = new Panel();
     
     p.setLayout(new FlowLayout(FlowLayout.RIGHT));
     Button b;
     p.add(b = new Button("Ok"));
     b.addActionListener(this);

     add("Center", bp);
     add("South", p);
  }


  public SimpleDisplay(String name, int port) {
     super("Server");
     
     setLayout(new BorderLayout());
     
     BorderPanel bp = new BorderPanel();
     bp.setLayout(new GridLayout(2, 1));
     bp.add(new Label("JSERHOST: " + name));
     bp.add(new Label("JSERPORT: " + String.valueOf(port)));

     Panel p = new Panel();
     
     p.setLayout(new FlowLayout(FlowLayout.RIGHT));
     Button b;
     p.add(b = new Button("Ok"));
     b.addActionListener(this);

     add("Center", bp);
     add("South", p);
  }


  /**
   * overrided method
   */
  public void actionPerformed(ActionEvent evt) {
     String command = evt.getActionCommand();

     if (command.equals("Yes")) {
System.out.println("disconnect ...");
     } 
     this.dispose();
  }

  
} // end of class
