package svlight.ui;

import java.awt.*;

/** 
 * SimpleMonitor.java
 * Monitor class to check internal status and display what to next
 * @version 1.0     10/15/97  
 * @author Byeongseob Ki
 */

public class SimpleMonitor extends BorderPanel {

  private Label label;
  
  /**
   * constructor
   */
  public SimpleMonitor() {
     label = new Label();

     setLayout(new BorderLayout());
     add("Center", label);
  }  

  /**
   * display the message
   * @param msg message to be displayed
   */
  public void display(String msg, boolean critical) {
     if (critical)  label.setForeground(Color.red);
     else           label.setForeground(Color.blue);

     label.setText(msg);
  }
}





