package svlight;

import java.awt.*;
import java.awt.event.*;
import svlight.ui.BorderPanel;

public class CollSelector extends Frame implements ActionListener {
  SVClient parent;
  List list;

  public CollSelector(SVClient parent, String[] names) {
     super("Connection");
     
     this.parent = parent;
     setLayout(new BorderLayout());

     BorderPanel bp = new BorderPanel();
     bp.setLayout(new BorderLayout());
     bp.add("North", new Label("Select the collaborator:"));
     bp.add("Center", list = new List(4, false));
     for (int i=0; i<names.length; i++)
        list.addItem(names[i]);

     Panel p = new Panel();
     
     p.setLayout(new FlowLayout(FlowLayout.RIGHT));
     Button b;
     p.add(b = new Button("Ok"));
     b.addActionListener(this);
     p.add(b = new Button("Cancel"));
     b.addActionListener(this);

     add("Center", bp);
     add("South", p);
  }

  /**
   * overrided method
   */
  public void actionPerformed(ActionEvent evt) {
     String command = evt.getActionCommand();

     if (command.equals("Ok")) {
System.out.println(list.getSelectedIndex());
     } 
     this.dispose();
  }

  
} // end of class
